<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.admin.PlatformMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.admin.Platform">
        <result column="company_id" property="companyId" />
        <result column="company_name" property="companyName" />
        <result column="platform_name" property="platformName" />
        <result column="operator_id" property="operatorId" />
        <result column="operator_secret" property="operatorSecret" />
        <result column="data_secret" property="dataSecret" />
        <result column="data_secret_iv" property="dataSecretIv" />
        <result column="sig_secret" property="sigSecret" />
        <result column="user_platform_name" property="userPlatformName" />
        <result column="user_operator_id" property="userOperatorId" />
        <result column="user_operator_secret" property="userOperatorSecret" />
        <result column="user_data_secret" property="userDataSecret" />
        <result column="user_data_secret_iv" property="userDataSecretIv" />
        <result column="user_sig_secret" property="userSigSecret" />
        <result column="charge_min_amount" property="chargeMinAmount" />
        <result column="api_domain" property="apiDomain" />
        <result column="notify_domain" property="notifyDomain" />
        <result column="env" property="env" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        company_id, company_name, platform_name, operator_id, operator_secret, data_secret, data_secret_iv, sig_secret, user_platform_name, user_operator_id, user_operator_secret, user_data_secret, user_data_secret_iv, user_sig_secret, charge_min_amount, api_domain, notify_domain, env
    </sql>

</mapper>
